summaryrefslogtreecommitdiff
path: root/tests/acl
diff options
context:
space:
mode:
Diffstat (limited to 'tests/acl')
-rw-r--r--tests/acl37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/acl b/tests/acl
new file mode 100644
index 0000000..5c958ea
--- /dev/null
+++ b/tests/acl
@@ -0,0 +1,37 @@
+# Test whether acl tests can be done.
+
+# Copyright (C) 2005, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+getfacl --version < /dev/null > /dev/null 2>&1 \
+ && setfacl --version < /dev/null > /dev/null 2>&1 || {
+ cat <<EOF 1>&2
+**************************************
+$0: This test requires getfacl and setfacl.
+**************************************
+EOF
+ (exit 77); exit 77
+}
+
+id -u bin > /dev/null 2>&1 || {
+ cat <<EOF 1>&2
+**************************************
+$0: This test requires a local user named bin.
+**************************************
+EOF
+ (exit 77); exit 77
+}